## liblastfm 0.4.0~git20090710

=== debian/changelog ===
liblastfm (0.4.0~git20090710-2) unstable; urgency=medium

  * Fix compilation with ruby1.9.1 >= 1.9.2 (Closes: #676104)
  * Use source format 3.0 (quilt)

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 16 Jul 2012 20:21:22 -0700

liblastfm (0.4.0~git20090710-1) unstable; urgency=low

  * New upstream release from git snapshot.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Shorten package descriptions.
  * Bump shlibs version for liblastfm0.
  * Rename debug package.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 14 Jul 2009 11:14:08 -0700

liblastfm (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #524948)

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 04 Jun 2009 21:21:45 -0700
