=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://www.last.fm/
Vcs-Browser: http://github.com/jstamp/liblastfm
Vcs-Git: git://github.com/jstamp/liblastfm.git

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends: liblastfm0 (= ${binary:Version}), liblastfm-fingerprint0 (= ${binary:Version})
Description: The Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends: liblastfm0 (= ${binary:Version}), liblastfm-fingerprint0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.
