## liblastfm 1.0.0

=== debian/changelog ===
liblastfm (1.0.0-0ubuntu4) quantal; urgency=low

  * Multiarch compatible wildcarding

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 18:14:29 +0200

liblastfm (1.0.0-0ubuntu3) quantal; urgency=low

  * Build depend on cmake

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:54:30 +0200

liblastfm (1.0.0-0ubuntu2) quantal; urgency=low

  * Drop cdbs' list-missing left overs

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:50:20 +0200

liblastfm (1.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Drop Vcs entries from control (was upstream VCS, which is not what the
    fields are supposed to be used for)
  * Don't run tests as they choose to fail
  * Convert do dh7 rules from manual makefile
  * Convert do source format 3 and use xz -9 compression on debian.tar.
  * Bump lib packages to soversion 1 and fix the wildcards to fail on so
    changes
  * Don't start synopsis with article
  * -dev to depend on libqt4-dev (LP: #796176)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:12:32 +0200

liblastfm (0.4.0~really0.3.3-0ubuntu1) maverick; urgency=low

  * New upstream release 0.3.3.
    0.4.0~git20090710 is in fact a version between 0.3.0 and 0.3.1.
  * Drop kubuntu_01_catch_exceptions_externally.diff, applied upstream.
  * Bump shlibs version for liblastfm0.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 29 Sep 2010 14:30:05 +0200

liblastfm (0.4.0~git20090710-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_catch_exceptions_externally.diff from upstream,
    recommended by Amarok developer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Sep 2010 12:15:42 +0100
