=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.last.fm/

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends: liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
 libqt4-dev
Description: Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
 liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version})
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.
