=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --paralell --dbg-package=liblastfm-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_FINGERPRINT=TRUE

.PHONY: override_dh_auto_test
