## liblastfm 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # general settings
-set(LASTFM_VERSION 1.0.0)
+set(LASTFM_VERSION 1.0.3)
 set(LASTFM_SOVERSION 1)
 
 # options
-option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" OFF)
+option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" ON)
 option(BUILD_DEMOS "Build the lastfm example programs" OFF)
 option(BUILD_TESTS "Build liblastfm tests" ON)
