=== debian/changelog ===
liblastfm (1.0.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074873)
    - fix lintian warnings:
      + debhelper-but-no-misc-depends liblastfm-dev
      + debhelper-overrides-need-versioned-build-depends (>= 7.0.50~)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 15:48:08 +0100
