=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
-Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
+Build-Depends: debhelper (>= 7.0.50~), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
 Standards-Version: 3.8.3
 Section: libs
 Homepage: http://www.last.fm/
@@ -10,7 +10,7 @@
 Package: liblastfm-dev
 Section: libdevel
 Architecture: any
-Depends: liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
+Depends: ${misc:Depends}, liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
  libqt4-dev
 Description: Last.fm web services library - development files
  liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
