## liblastfm 1.0.7

=== debian/changelog ===
liblastfm (1.0.7-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4.  No changes needed.
  * Upload to unstable.

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 01 Jun 2013 07:09:27 -0700

liblastfm (1.0.7-1) experimental; urgency=low

  * New upstream release.
  * Update symbols files.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 27 Feb 2013 08:24:42 -0800

liblastfm (1.0.3-1) experimental; urgency=low

  * New upstream release.
  * Remove patches applied upstream:
    - dont_leak_qnetwork_replies_in_audioscrobbler.patch
    - fix_no_return_in_nonvoid.patch
    - fix_wrong_parameter_name_in_removetag.patch
  * Update symbols files

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 17 Oct 2012 10:38:45 -0700

liblastfm (1.0.2-1) experimental; urgency=low

  * New upstream release.
  * Update symbols files.
  * Add patches:
    - fix_wrong_parameter_name_in_removetag.patch
    - dont_leak_qnetwork_replies_in_audioscrobbler.patch
    - fix_no_return_in_nonvoid.patch
  * Update debian/copyright and debian/watch; upstream changed the location of
    its release repository.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 12 Sep 2012 17:27:02 -0700

liblastfm (1.0.1-1) experimental; urgency=low

  * New upstream
  * Remove fix-build-with-ruby1.9.patch
  * Rename lib packages due to SONAME change
  * Modify Build-Depends since upstream now uses cmake
  * Use debhelper 9 for multiarch and hardened build flags
  * Fix lintian warnings description-synopsis-starts-with-article,
    binary-control-field-duplicates-source
  * Add libqt4-dev and misc:Depends to liblastfm-dev; remove shlibs:Depends
    from liblastfm-dbg
  * Add a watch file
  * Bump Standards-Version to 3.9.3
  * Update debian/copyright
  * Add symbols files and use pkgkde_symbolshelper in dh invocation
  * Add --parallel to dh invocation

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 26 Jul 2012 21:23:10 -0700
