=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libfftw3-dev,
 libqt4-dev,
 libsamplerate0-dev,
 pkg-kde-tools
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.last.fm/
Vcs-Browser: http://github.com/jstamp/liblastfm
Vcs-Git: git://github.com/jstamp/liblastfm.git

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 libqt4-dev,
 ${misc:Depends}
Description: Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.
