=== debian/watch ===
version=3
http://github.com/lastfm/liblastfm/tags .*/tarball/(\d[\d\.]+)
