=== src/fingerprint/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-find_package(Qt4 COMPONENTS QtCore QtSql REQUIRED)
+#find_package(Qt4 COMPONENTS QtCore QtSql REQUIRED)
 #FIXME: find modules are horrible, port them to find_package_handle_standard_args
 find_package(LibSamplerate REQUIRED)
 find_package(LibFFTW3 REQUIRED)
@@ -8,6 +8,7 @@
 include_directories(${LIBSAMPLERATE_INCLUDE_DIR})
 include_directories(${QT_INCLUDES})
 include_directories(${CMAKE_CURRENT_LIST_DIR}/..)
+include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
 
 set(lastfm_fingerprint_SOURCES
   Collection.cpp
@@ -35,9 +36,11 @@
 
 set_target_properties(lastfm_fingerprint PROPERTIES
     COMPILE_DEFINITIONS LASTFM_FINGERPRINT_LIB
-    VERSION ${LASTFM_VERSION}
+    VERSION ${LASTFM_VERSION_STRING}
     SOVERSION ${LASTFM_SOVERSION}
 )
+
+qt5_use_modules(lastfm_fingerprint Network Sql Xml)
 
 install(TARGETS lastfm_fingerprint
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
