=== debian/changelog ===
liblastfm (1.0.8-2) unstable; urgency=low

  * Check Q_OS_UNIX definition instead of nonexistent Q_OS_X11.  This fixes
    the cache and config paths that broke in the last upload.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 04 Sep 2013 11:06:05 -0700

liblastfm (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch file.  Thanks to Bart Martens.
  * Mark the -dbg and -dev packages Multi-Arch: same
  * Update symbols for liblastfm1

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 03 Sep 2013 18:27:52 -0700
