=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE $(DEB_CMAKE_CUSTOM_FLAGS)

%:
	dh $@ --parallel --list-missing --dbg-package=liblastfm-dbg --with pkgkde_symbolshelper
