=== debian/changelog ===
liblastfm (1.0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #805081)
  * Set myself as the new maintainer with permission of John Stamp the original
    maintainer.
  * debian/rules;debian/control;debian/*5*:
    - Dual build: Qt4 & Qt5
  * debian/control:
    - Standards-Version: 3.9.6
  * update debian/copyright
  * Remove patch applied upstream: 
    - fix_q_os_x11.patch
  * Add patch:
    - change_target-name.patch

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Fri, 20 Nov 2015 11:40:00 +0100

liblastfm (1.0.8-3) unstable; urgency=medium

  * Change my email address in debian/control, debian/copyright.
  * Mark some symbols as optional to fix build with gcc 5.

 -- John Stamp <jstamp@mehercule.net>  Mon, 29 Jun 2015 15:30:29 -0700
