## liblastfm 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 # general settings
 set(LASTFM_SOVERSION 1)
-set(LASTFM_VERSION "0x00010009")
+set(LASTFM_VERSION "0x00010100")
 
 set(LASTFM_MAJOR_VERSION "1")
-set(LASTFM_MINOR_VERSION "0")
-set(LASTFM_PATCH_VERSION "9")
+set(LASTFM_MINOR_VERSION "1")
+set(LASTFM_PATCH_VERSION "0")
 set(LASTFM_VERSION_STRING "${LASTFM_MAJOR_VERSION}.${LASTFM_MINOR_VERSION}.${LASTFM_PATCH_VERSION}")
 
 # options
