=== debian/changelog ===
liblastfm (1.1.0-5build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:36:58 +0000

liblastfm (1.1.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:09:46 +0000

liblastfm (1.1.0-5build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:39:04 +0000

liblastfm (1.1.0-5) unstable; urgency=medium

  * QA upload.
  * debian/rules:
    + Enable full hardening.
    + Explicitly enable LTO. (Closes: #1015499)
  * debian/*.symbols: Refresh symbols with LTO enabled.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Nov 2022 13:02:23 -0500

liblastfm (1.1.0-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jun 2022 23:05:07 +0100

liblastfm (1.1.0-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to
    dh_auto_configure.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 11 May 2022 17:19:46 -0700

liblastfm (1.1.0-2) unstable; urgency=medium

  * QA upload.
  * Reconsolidate symbols using buildd logs and pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Apr 2022 10:30:32 -0400

liblastfm (1.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1.0
  * Orphan package.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Use correct Vcs-* URLs.
    + Drop manual -dbg packages.
    + Use github as homepage.
  * debian/patches: Drop useless patches.
  * debian/liblastfm-fingerprint5-1.symbols: Prepare for symbol refresh.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Mar 2022 16:43:45 -0400

liblastfm (1.0.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-11 by removing dynamic exception specifications,
    patch taken from upstream PR. (Closes: #984114)

 -- Florian Ernst <florian@debian.org>  Sun, 13 Feb 2022 08:04:58 +0100

liblastfm (1.0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Qt4 build, no reverse dependencies left in the archive and Qt4
    is going away (Closes: #875025)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 23 Aug 2019 23:37:23 +0200
