=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all, optimize=+lto

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DEB_KDE_LINK_WITH_AS_NEEDED = yes
QT5_PATH = build/qt5/so
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p $(QT5_PATH)
	QT_SELECT=qt5 dh_auto_configure -B$(QT5_PATH) -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(DEB_CMAKE_CUSTOM_FLAGS)

override_dh_auto_build:
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)

override_dh_auto_clean:
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip --dbgsym-migration='liblastfm5-dbg (<< 1.1.0), liblastfm-fingerprint5-dbg (<< 1.1.0)'
